Page MenuHomePhabricator

Update Block APIs to list namespace blocks
Closed, ResolvedPublic2 Story Points

Description

Add namespace objects to the Restrictions objects in the Block API code.

Currently, we have an array of Page objects. We should have a similar structure for an array of Namespace IDs.

Namespaces "names" do not need to be loaded from the DB as they are in the config.

This includes tests to ensure the right objects are persisted.

Details

Event Timeline

dbarratt created this task.Sep 20 2018, 5:53 PM
aezell updated the task description. (Show Details)Sep 21 2018, 6:32 PM
aezell set the point value for this task to 2.
dbarratt claimed this task.Oct 30 2018, 7:00 PM
dbarratt moved this task from Ready to In progress on the Anti-Harassment (AHT Sprint 32) board.

Change 473967 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[mediawiki/core@master] Add tests to ensure that NamespaceRestrictions are returned from Block APIs.

https://gerrit.wikimedia.org/r/473967

Change 473967 merged by jenkins-bot:
[mediawiki/core@master] Add tests to ensure that NamespaceRestrictions are returned from Block APIs.

https://gerrit.wikimedia.org/r/473967

dbarratt closed this task as Resolved.Jan 24 2019, 12:43 AM
dbarratt moved this task from Review to Done on the Anti-Harassment (Bet — ב) board.